import { Widget } from 'phosphor-widget';
import { FileBrowserModel } from './model';
/**
 * A widget which hosts the file browser buttons.
 */
export declare class FileButtons extends Widget {
    /**
     * Construct a new file browser buttons widget.
     *
     * @param model - The file browser view model.
     */
    constructor(model: FileBrowserModel);
    /**
     * Dispose of the resources held by the widget.
     */
    dispose(): void;
    /**
     * Get the model used by the widget.
     *
     * #### Notes
     * This is a read-only property.
     */
    model: FileBrowserModel;
    /**
     * The 'mousedown' handler for the create button.
     */
    private _onCreateButtonPressed;
    /**
     * The 'click' handler for the upload button.
     */
    private _onUploadButtonClicked;
    /**
     * The 'click' handler for the refresh button.
     */
    private _onRefreshButtonClicked;
    /**
     * The 'change' handler for the input field.
     */
    private _onInputChanged;
    private _model;
    private _buttons;
    private _input;
}
