import { Widget } from 'phosphor-widget';
/**
 * The class name added to FileBrowser instances.
 */
export declare const FILE_BROWSER_CLASS: string;
/**
 * The class name added to drop targets.
 */
export declare const DROP_TARGET_CLASS: string;
/**
 * The class name added to selected rows.
 */
export declare const SELECTED_CLASS: string;
/**
 * The mime type for a contents drag object.
 */
export declare const CONTENTS_MIME: string;
/**
 * An error message dialog to show in the filebrowser widget.
 */
export declare function showErrorMessage(host: Widget, title: string, error: Error): Promise<void>;
/**
 * Get the index of the node at a client position, or `-1`.
 */
export declare function hitTestNodes(nodes: HTMLElement[] | NodeList, x: number, y: number): number;
/**
 * Find the first element matching a class name.
 */
export declare function findElement(parent: HTMLElement, className: string): HTMLElement;
